Bug 471754 - Review Request: virtaal - Localization and translation editor
Review Request: virtaal - Localization and translation editor
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brennan Ashton
Fedora Extras Quality Assurance
:
Depends On: 466608
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-15 14:35 EST by Dwayne Bailey
Modified: 2009-01-07 04:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 04:10:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bashton: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dwayne Bailey 2008-11-15 14:35:53 EST
Spec URL: http://dwayne.fedorapeople.org/virtaal-0.2-1.spec
SRPM URL: http://dwayne.fedorapeople.org/virtaal-0.2-1.fc9.src.rpm
Description: 
A program for Computer Aided Translation (CAT) built on the Translate Toolkit.

Virtaal includes features that allow a localizer to work effectively including:
syntax highlighting, autocomplete and autocorrect.  Showing only
the data that is needed through its simple and effective user interface it
ensures that you can focus on the translation task straight away.

By building on the Translate Toolkit, Virtaal is able to edit any of the
following formats: XLIFF, Gettext PO and .mo, Qt .ts, .qph and .qm, Wordfast
TM, TMX, TBX.  By using the Translate Toolkit converters a translator can edit:
OpenOffice.org SDF, Java (and Mozilla) .properties and Mozilla DTD.
Comment 1 Fedora Update System 2008-11-17 04:16:53 EST
translate-toolkit-1.2.0-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/translate-toolkit-1.2.0-3.fc9
Comment 2 Dwayne Bailey 2008-11-17 08:32:13 EST
(In reply to comment #1)
> translate-toolkit-1.2.0-3.fc9 has been submitted as an update for Fedora 9.
> http://admin.fedoraproject.org/updates/translate-toolkit-1.2.0-3.fc9

Ignore this, I set the wrong bug number of a translate-toolkit update.
Comment 3 Fabian Affolter 2008-11-24 06:56:10 EST
Just some quick comments on your spec file.

- 'BuildRequires: python-devel' should be 'BuildRequires: python'
  https://fedoraproject.org/wiki/Packaging/Python#BuildRequires

- %{buildroot} and $RPM_BUILD_ROOT should not be mixed.
  https://fedoraproject.org/wiki/Packaging/Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS

- '--vendor="fedora" \' is obsolete for new packages.
  see https://fedoraproject.org/wiki/TomCallaway/DesktopFileVendor

- remove '.fc9' in your %changelog section
  https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs
Comment 4 Dwayne Bailey 2008-12-06 10:21:00 EST
Fabian -> thanks for the review.  I disappeared on holiday just before.  My comments below.

(In reply to comment #3)
> Just some quick comments on your spec file.
> 
> - 'BuildRequires: python-devel' should be 'BuildRequires: python'
>   https://fedoraproject.org/wiki/Packaging/Python#BuildRequires

python-devel is still required, otherwise building fails.  I added python as a build requires, although this is already pulled in by python-devel.

> - %{buildroot} and $RPM_BUILD_ROOT should not be mixed.

Fixed 

> - '--vendor="fedora" \' is obsolete for new packages.
>   see https://fedoraproject.org/wiki/TomCallaway/DesktopFileVendor

Fixed

> - remove '.fc9' in your %changelog section

Fixed

New SPEC: http://dwayne.fedorapeople.org/virtaal-0.2-2.spec
New SRPM: http://dwayne.fedorapeople.org/virtaal-0.2-2.fc9.src.rpm
Comment 5 Dwayne Bailey 2008-12-17 04:49:12 EST
Brennan -> Do you want to take this one?  No change since we chatted on #fedora-devel.  I dropped a message there but you might have missed it.
Comment 6 Brennan Ashton 2008-12-27 16:19:08 EST
[x]source files match upstream:
b7942cb1b57897119062f6ff7a30c970b754e7d2728297a32228b02272785695  virtaal-0.2.tar.bz2
[x]package meets naming and versioning guidelines.
[FAIL]specfile is properly named, is cleanly written and uses macros consistently.
The spec file should not have the version or at least not the revision number as part of its name, it should be virtaal.spec

[x]dist tag is present.
[x]build root is correct.
 (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

[x]license field matches the actual license.
[x]license is open source-compatible.
GPLv2+
[x]license text included in package.
[x]latest version is being packaged.
[FAIL]BuildRequires are proper.

You should not have desktop-file-utils see:
http://fedoraproject.org/wiki/NewMIMESystem

[x]compiler flags are appropriate.
[x]%clean is present.
[x]package builds in mock.
package installs properly.
[FAIL]rpmlint is silent.

rpmlint virtaal-0.2-2.spec ../SRPMS/virtaal-0.2-2.fc10.src.rpm ../RPMS/noarch/virtaal-0.2-2.fc10.noarch.rpm 
virtaal.src: E: invalid-spec-name

Rename Spec file

virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/recent.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/about.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/support/__init__.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/widgets/label_expander.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/markup.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/document.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/formats.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/support/simplegeneric.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/tips.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/undo_buffer.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/unit_editor.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/store_grid.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/search_mode.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/unit_renderer.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/support/bijection.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/__init__.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/widgets/__init__.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/support/partial.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/support/openmailto.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/autocorrector.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/unit_layout.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/terminology.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/support/memoize.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/main_window.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/support/sorted_set.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/widgets/entry_dialog.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/pan_app.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/mode_selector.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/widgets/util.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/autocompletor.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/store_model.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/modes.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/support/set_enumerator.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/__version__.py 0644
virtaal.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/virtaal/rendering.py 0644
2 packages and 1 specfiles checked; 36 errors, 0 warnings.

[x]final provides and requires are sane:
  (paste in the rpm -qp --provides and --requires output)

[x]owns the directories it creates.
[x]doesn't own any directories it shouldn't.
[x]no duplicates in %files.
[x]file permissions are appropriate.
[x]no scriptlets present.
[x]code, not content.
[x]documentation is small, so no -docs subpackage is necessary.
[x]%docs are not necessary for the proper functioning of the package.
[x]no libtool .la droppings.
[?]desktop files valid and installed properly.
The version in the desktop file is 1.0 but 0.2 for the package is that correct?

There are a few things that need to be fixed before I will sign this package off.
Comment 7 Dwayne Bailey 2008-12-28 14:10:43 EST
(In reply to comment #6)
> [FAIL]specfile is properly named, is cleanly written and uses macros
> consistently.
> The spec file should not have the version or at least not the revision number
> as part of its name, it should be virtaal.spec

The name of the .spec file at the download link is just for tracking purposes, my local copy is named virtaal.spec.

> [FAIL]BuildRequires are proper.
> 
> You should not have desktop-file-utils see:
> http://fedoraproject.org/wiki/NewMIMESystem

Fixed

> [FAIL]rpmlint is silent.
> 
> rpmlint virtaal-0.2-2.spec ../SRPMS/virtaal-0.2-2.fc10.src.rpm
> ../RPMS/noarch/virtaal-0.2-2.fc10.noarch.rpm 
> virtaal.src: E: invalid-spec-name
> 
> Rename Spec file

See comment above

> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/recent.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/about.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/support/__init__.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/widgets/label_expander.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/markup.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/document.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/formats.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/support/simplegeneric.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/tips.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/undo_buffer.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/unit_editor.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/store_grid.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/search_mode.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/unit_renderer.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/support/bijection.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/__init__.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/widgets/__init__.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/support/partial.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/support/openmailto.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/autocorrector.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/unit_layout.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/terminology.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/support/memoize.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/main_window.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/support/sorted_set.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/widgets/entry_dialog.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/pan_app.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/mode_selector.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/widgets/util.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/autocompletor.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/store_model.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/modes.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/support/set_enumerator.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/__version__.py 0644
> virtaal.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/virtaal/rendering.py 0644
> 2 packages and 1 specfiles checked; 36 errors, 0 warnings.

Should I fix these? These shouldn't be executable but they all have #! headers.

> [?]desktop files valid and installed properly.
> The version in the desktop file is 1.0 but 0.2 for the package is that correct?

This is correct, it refers to the standard version, not the application version number, See:
http://standards.freedesktop.org/desktop-entry-spec/latest/ar01s05.html

> There are a few things that need to be fixed before I will sign this package
> off.

Thanks for the review.  The only outstanding issue is the 'non-executable script' error, your feedback on that would be appreciated.
Comment 8 Brennan Ashton 2008-12-28 19:18:58 EST
The non-executable is not and issue.  Thanks for the pointer on the version number on the desktop file, I have not seen that variable used before. I did a test on it and is seems to work correctly.
It is now:
APPROVED.  Apply for CVS.
Comment 9 Dwayne Bailey 2008-12-29 02:37:00 EST
New Package CVS Request
=======================
Package Name: virtaal
Short Description: Localization and translation editor
Owners: dwayne
Branches: F-9 F-10 EL-4 EL-5 OLPC-2 OLPC-3
InitialCC:
Comment 10 Kevin Fenzi 2008-12-31 00:46:13 EST
Does this really need a OLPC-2 and OLPC-3 branch? 
Is OLPC-2 accepting new builds? And is this package going to be different in the OLPC-3 branch from F-9 (which OLPC uses unless there are differences).
Comment 11 Dwayne Bailey 2008-12-31 05:31:36 EST
There have been discussions around building activities for localisation, this would require the future adaptation of the application.

I'm happy to drop the OLPC branches and request them later if needed.
Comment 12 Kevin Fenzi 2009-01-04 15:16:08 EST
ok, sounds good. Nothing preventing them, just that we like to avoid making them if they aren't needed. 

cvs done.
Comment 13 Dwayne Bailey 2009-01-04 16:43:53 EST
Fabian, Brennan and Kevin - thanks for your work and effort to get this package in. Happy 2009 to all of you... I'm busy getting the sources into CVS as I type this.
Comment 14 Fedora Update System 2009-01-04 17:18:55 EST
virtaal-0.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/virtaal-0.2-2.fc10
Comment 15 Fedora Update System 2009-01-04 17:18:58 EST
virtaal-0.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/virtaal-0.2-2.fc9
Comment 16 Fedora Update System 2009-01-07 04:09:59 EST
virtaal-0.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-01-07 04:10:50 EST
virtaal-0.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.